"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const gensequence_1 = require("gensequence");
const HR = require("hunspell-reader");
const fs = require("fs-extra");
__export(require("rxjs-stream"));
var rxjs_stream_1 = require("rxjs-stream");
exports.observableToStream = rxjs_stream_1.rxToStream;
const regHunspellFile = /\.(dic|aff)$/i;
async function readHunspellFiles(filename) {
    const dicFile = filename.replace(regHunspellFile, '.dic');
    const affFile = filename.replace(regHunspellFile, '.aff');
    const reader = await HR.IterableHunspellReader.createFromFiles(affFile, dicFile);
    return gensequence_1.genSequence(reader);
}
exports.readHunspellFiles = readHunspellFiles;
async function iterateFile(filename) {
    const content = await fs.readFile(filename, 'utf8');
    return gensequence_1.genSequence(content.split('\n'));
}
function streamWordsFromFile(filename) {
    return regHunspellFile.test(filename) ? readHunspellFiles(filename) : iterateFile(filename);
}
exports.streamWordsFromFile = streamWordsFromFile;
//# sourceMappingURL=iterateWordsFromFile.js.map